<?php
/* Civist support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'equadio_civist_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'equadio_civist_theme_setup9', 9 );
    function equadio_civist_theme_setup9() {
        if ( equadio_exists_civist() ) {
        }
        if ( is_admin() ) {
            add_filter( 'equadio_filter_tgmpa_required_plugins', 'equadio_civist_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'equadio_civist_tgmpa_required_plugins' ) ) {
        function equadio_civist_tgmpa_required_plugins( $list = array() ) {
        if ( equadio_storage_isset( 'required_plugins', 'civist' ) && equadio_storage_get_array( 'required_plugins', 'civist', 'install' ) !== false ) {
            $list[] = array(
                'name'     => equadio_storage_get_array( 'required_plugins', 'civist', 'title' ),
                'slug'     => 'civist',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'equadio_exists_civist' ) ) {
    function equadio_exists_civist() {
        return function_exists( 'run_civist' );
    }
}